# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.storage_info_api import StorageInfoApi  # noqa: E501
from swagger_client.rest import ApiException


class TestStorageInfoApi(unittest.TestCase):
    """StorageInfoApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.storage_info_api.StorageInfoApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_get_storage_properties(self):
        """Test case for get_storage_properties

        Retrieve storage properties for given content  # noqa: E501
        """
        pass

    def test_get_version_storage_properties(self):
        """Test case for get_version_storage_properties

        Retrieve storage properties for given version content  # noqa: E501
        """
        pass

    def test_request_archive_content(self):
        """Test case for request_archive_content

        Request to send given content to archive  # noqa: E501
        """
        pass

    def test_request_archive_version_content(self):
        """Test case for request_archive_version_content

        Request to send given version content to archive  # noqa: E501
        """
        pass

    def test_request_restore_content_from_archive(self):
        """Test case for request_restore_content_from_archive

        Request to restore given content from archive  # noqa: E501
        """
        pass

    def test_request_restore_version_content_from_archive(self):
        """Test case for request_restore_version_content_from_archive

        Request to restore given version content from archive  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
